#
# spec file for package python3-CherryPy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-CherryPy
Version:        3.8.0
Release:        4.3
Url:            http://www.cherrypy.org
Summary:        Object-Oriented HTTP framework
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/C/CherryPy/CherryPy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildArch:      noarch

%description
CherryPy is a pythonic, object-oriented HTTP framework.

CherryPy allows developers to build web applications in much the same way they
would build any other object-oriented Python program. This usually results in
smaller source code developed in less time.

CherryPy is now more than three years old and it is has proven very fast and
stable. It is being used in production by many sites, from the simplest ones
to the most demanding ones.

Oh, and most importantly: CherryPy is fun to work with :-)

%prep
%setup -q -n CherryPy-%{version}

%build
python3 setup.py build

%install
sed -i 's|\r||' README.txt # Fix wrong EOL encoding
find . -name sessiondemo.py -type f -exec chmod 0755 {} \; # Fix non-executable bit rpmlint warning
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/cherryd %{buildroot}%{_bindir}/cherryd-python%{py3_ver}

%files
%defattr(-,root,root,-)
%doc README.txt cherrypy/LICENSE.txt
%{_bindir}/cherryd-python%{py3_ver}
%{python3_sitelib}/cherrypy/
%{python3_sitelib}/CherryPy-%{version}-py%{py3_ver}.egg-info

%changelog
* Tue Jun 30 2015 arun@gmx.de
- update to version 3.8.0:
  * Pull Request #96: Pass "exc_info" to logger as keyword rather
    than formatting the error and injecting into the message.
* Sat Apr 25 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 3.7.0:
  * CherryPy daemon may now be invoked with "python -m cherrypy" in
    addition to the "cherryd" script.
  * Issue #1298: Fix SSL handling on CPython 2.7 with builtin SSL
    module and pyOpenSSL 0.14. This change will break PyPy for now.
  * Several documentation fixes.
* Tue Dec 16 2014 arun@gmx.de
- update to version 3.6.0:
  * Fixed HTTP range headers for negative length larger than content size.
  * Disabled universal wheel generation as wsgiserver has Python duality.
  * Pull Request #42: Correct TypeError in ``check_auth`` when encrypt is used.
  * Pull Request #59: Correct signature of HandlerWrapperTool.
  * Pull Request #60: Fix error in SessionAuth where login_screen was
    incorrectly used.
  * Issue #1077: Support keyword-only arguments in dispatchers (Python 3).
  * Issue #1019: Allow logging host name in the access log.
  * Pull Request #50: Fixed race condition in session cleanup.
- changes from version 3.5.0:
  * Issue #1301: When the incoming queue is full, now reject additional
    connections. This functionality was added to CherryPy 3.0, but
    unintentionally lost in 3.1.
- changes from version 3.4.0:
  * Miscellaneous quality improvements.
* Tue May 20 2014 toddrme2178@gmail.com
- Update to version 3.3.0
  + No changelog available
- Update to version 3.2.6
  + No changelog available
- Update to version 3.2.5
  + No changelog available
- Update to version 3.2.4
  + No changelog available
* Tue Jul 16 2013 speilicke@suse.com
- Drop clean section
* Thu Nov 22 2012 toddrme2178@gmail.com
- Remove openSUSE 11.4 spec file workarounds
* Fri May 25 2012 toddrme2178@gmail.com
- Fix building on openSUSE 11.4
- spec file cleanups
* Wed May 23 2012 highwaystar.ru@gmail.com
- python3 package added
